findlib (1.9.8-1+ocaml1) unstable-ocaml; urgency=medium

  * Rebuild for transition ocaml-5.4.1

 -- Anonymous Builder <builder@example.org>  Fri, 15 May 2026 08:30:44 +0200

findlib (1.9.8-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Feb 2025 17:00:44 +0100

findlib (1.9.6-3) unstable; urgency=medium

  * Remove packages that are already provided by stdlib

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Aug 2024 01:58:11 +0200

findlib (1.9.6-2) unstable; urgency=medium

  * Fix build with OCaml 5.x

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:24:02 +0200

findlib (1.9.6-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 23 Jan 2023 11:00:21 +0100

findlib (1.9.3-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Mar 2022 07:41:34 +0100

findlib (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 15 Dec 2021 08:15:55 +0100

findlib (1.8.1-2) unstable; urgency=medium

  * Cope with OCaml 4.11.1 not installing graphics any more
  * Remove patches no longer relevant as of OCaml 4.11.0
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 07:21:46 +0200

findlib (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 05:12:17 +0200

findlib (1.7.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Remove Nicolas Dandrimont from Uploaders as requested by him.

 -- Ximin Luo <infinity0@debian.org>  Sat, 16 Sep 2017 13:54:42 +0200

findlib (1.7.3-1) experimental; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Sat, 29 Jul 2017 16:09:53 +0200

findlib (1.7.1-2) experimental; urgency=medium

  * Fix build on non-dynlink arches.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Mar 2017 00:07:03 +0100

findlib (1.7.1-1) experimental; urgency=medium

  * Add myself to Uploaders.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Mar 2017 15:36:40 +0100

findlib (1.6.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Oct 2016 18:56:58 +0200

findlib (1.6.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 Jun 2016 13:04:26 +0200

findlib (1.5.5-2) unstable; urgency=medium

  * Add `directory' directive to META.bytes
  * Bump debhelper compat level to 9
  * Delete obsolete README.source
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Oct 2015 11:49:01 +0200

findlib (1.5.5-1) experimental; urgency=medium

  * New upstream release
    - compile with OCaml 4.02.1
    - compile without camlp4, drop camlp4 patches
    - compile without labltk, drop wizard
    - install findlib.cmxs
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 18 Feb 2015 10:10:42 +0100

findlib (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Mar 2014 07:46:08 +0100

findlib (1.4-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Mon, 02 Dec 2013 21:34:58 +0100

findlib (1.4-1) experimental; urgency=low

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 11:46:23 +0200

findlib (1.3.3-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Nov 2012 14:38:51 +0100

findlib (1.3.2-1) experimental; urgency=low

  * New upstream release
    - incompatible with 3.x versions of OCaml shipped by Debian

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Jun 2012 19:18:38 +0200

findlib (1.3.1-1) unstable; urgency=low

  * New upstream release
    - documentation sources are now included in the official upstream
      tarball, repackaging is no longer needed
  * Update debian/copyright

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Jun 2012 11:24:23 +0200

findlib (1.2.8+debian-1) unstable; urgency=low

  * New upstream release
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Feb 2012 08:50:01 +0100

findlib (1.2.7+debian-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders
  * Add patches:
    - Make Camlp4 depend on Dynlink on every arch (Closes: #630490)
    - Use a relative path in META.camlp4 (Closes: #628021)
    - Disable graphics and labltk when unavailable (Closes: #605695)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Mon, 27 Jun 2011 22:45:07 +0200

findlib (1.2.6+debian-2) unstable; urgency=low

  * Updated 0002-Extra-configuration-search-path.patch
    to allow overriding Debian-specific configuration
    variables in findlib's main configuration.
    This issue appear when using for instance mingw32-ocaml
    where the main configuration file changed but Debian-specific
    settings override it.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 04 Apr 2011 20:06:47 -0500

findlib (1.2.6+debian-1) unstable; urgency=low

  * New upstream release
  * Make ocaml-findlib depend only on libfindlib-ocaml
  * Switch source package format to 3.0 (quilt)
  * Rewrite debian/rules using dh with overrides
  * Bump Standards-Version to 3.9.1
  * Bump debhelper compat level to 8
  * Remove Stefano from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Feb 2011 12:04:41 +0100

findlib (1.2.5+debian-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release:
    - remove install_missing_cmi.dpatch (merged upstream)
    - repackage upstream with documentation sources:
      + add explanations to README.source
      + take it into account in debian/watch
  * Add new binary packages:
    - ocaml-findlib: keep there executables not depending on X
    - ocaml-findlib-wizard: make_wizard (which depends on X)
    - libfindlib-ocaml{,-dev}: the remaining files, dispatched as usual
  * debian/control:
    - build-depends on ocaml-nox (>= 3.11.1-3~)
    - update e-mail addresses
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * Update debian/copyright

  [ Mehdi Dogguy ]
  * Add myself to uploaders
  * Use dh_ocaml in the build process
    - Modify debian/control accordingly
  * Build-depend on dh-ocaml 0.9

 -- Stéphane Glondu <glondu@debian.org>  Sat, 26 Sep 2009 10:14:54 +0200

findlib (1.2.4-2) unstable; urgency=low

  * add back "directory" directive to site_lib_metas patch, fixes FTBFS of
    reverse dependent packages which need the "num" findlib package
    (revert "simplify site_lib_metas" change in -1)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Feb 2009 23:33:44 +0100

findlib (1.2.4-1) unstable; urgency=low

  [ Stephane Glondu ]
  * New Upstream Version
  * Update patches:
    - remove natdynlink (merged upstream)
    - simplify site_lib_metas
    - update install_missing_cmi
  * Remove versioned dependencies on ocaml
  * Bump debhelper compatibility to 7 (no changes)

  [ Stefano Zacchiroli ]
  * uploading to unstable
    - bump ocaml build-dep to (>= 3.11) to entail proper dep-waits
  * debian/rules: invoke ocaml.mk as a "rules" snippet
  * debian/control: version build-dep on dh-ocaml to 0.4.1 (to avoid the
    "remove heading white spaces" bug for debian/patches/*.in)
  * debian/svn-deblayout: remove no longer needed SVN setting
  * debian/source.lintian-overrides: fix typo in the tag name (which
    inhibited the override to work)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 24 Feb 2009 13:54:26 +0100

findlib (1.2.3-1) experimental; urgency=low

  * New Upstream Version
  * Add README.source
  * Update Standards-Version to 3.8.0
  * Add myself to Uploaders
  * Update versioned dependencies to OCaml

 -- Stephane Glondu <steph@glondu.net>  Fri, 05 Dec 2008 19:59:13 +0100

findlib (1.2.1-6) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * make Vcs-* fields point to the new git repository

  [ Stephane Glondu ]
  * Add natdynlink.dpatch, to add dynlink.cmxa to META.dynlink, if
    available.

  [ Romain Beauxis ]
  * Added build-dep on dh-ocaml
  * Upload and build against ocaml 3.11 in experimental
  * Versioned ocaml-related build-dep to avoid confusion

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 28 Nov 2008 01:08:26 +0100

findlib (1.2.1-5) unstable; urgency=low

  [ Stephane Glondu ]
  * Update Homepage, fix watch file.

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 04 Jun 2008 13:55:33 +0200

findlib (1.2.1-4.1) experimental; urgency=low

  * Rebuild with ocaml 3.10.2, NMU to experimental with maintainer's blessing.
  * Install docs into section Programming instead of Apps/Programming.

 -- Ralf Treinen <treinen@debian.org>  Sat, 22 Mar 2008 20:23:22 +0100

findlib (1.2.1-4) unstable; urgency=low

  * fix vcs-svn field to point just above the debian/ dir
  * reword long description, also mentioning "ocamlfind" (Closes: #460669)
  * bump build dep to ocaml 3.10.1

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 09 Feb 2008 17:31:24 +0100

findlib (1.2.1-3) unstable; urgency=low

  * update standards-version, no changes needed
  * setting me as an uploader, d-o-m as the maintainer
  * avoid installing empty /usr/share/ocaml-findlib/, it will be created by
    packages shipping stuff there (fixes lintian warning)
  * avoid installing empty /usr/share/man/man3/ (fixes lintian warning)
  * add lintian override for missing stddirs.dpatch patch in 00list; the patch
    is automatically generated from stddirs.dpatch.in
  * debian/patches/install_missing_cmi.dpatch: new patch to install some
    missing .cmi-s (spotted by ocamldoc while generating the api reference)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 29 Dec 2007 12:17:21 +0100

findlib (1.2.1-2) unstable; urgency=low

  * added back parts of patch site_lib_metas.dpatch which are in fact still
    needed and fix loading of "num" and "num-top" packages (closes: #451901)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 19 Nov 2007 15:26:44 +0100

findlib (1.2.1-1) unstable; urgency=low

  * new upstream release (closes: #450933)
    - add support for CamlP4 3.10 (with improved META setting for it)
    - remove patches from debian/patches/: usr_bin_install.dpatch (integrated
      upstream), site_lib_metas.dpatch (no longer needed)
  * add Homepage field to debian/control
  * debian/rules:
    - remove a no longer needed hook for getting rid of 0-sized timestamps

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 17 Nov 2007 17:49:47 +0100

findlib (1.1.2pl1-4) unstable; urgency=low

  * debian/control
    - bump dependency on ocaml-nox to 3.10.0-8 to ensure we build against a
      fixed version of the CDBS class wrt ocamldoc generation

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Sep 2007 23:15:33 +0200

findlib (1.1.2pl1-3) unstable; urgency=low

  * debian/control
    - add build-dep on camlp4, which is now in a separate package
  * debian/rules
    - enable creation of ocamldoc-generated API reference
  * bump debhelper compatibility level and dependency to 5

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 31 Aug 2007 11:59:09 +0200

findlib (1.1.2pl1-2) experimental; urgency=low

  * rebuilding against ocaml 3.10 and uploading to experimental
  * debian/watch
    - add watch file
  * debian/rules
    - ensure via OCAML_IN_FILES that stddirs.dpatch.in is instantiated at
      build-time
  * debian/patches/
    - remove numbers from patch names: 00list is enough for the ordering
    - remove the non-.in version of stddirs.dpatch from the source package
  * debian/control
    - bump build-dep on ocaml to >= 3.10.0-4, as we need a fixed ocaml.mk CDBS
      class wrt dpatch

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 04 Jul 2007 10:46:37 +0000

findlib (1.1.2pl1-1) unstable; urgency=low

  * new upstream release (closes: #389758)
  * debian/patches/13_usr_bin_install.dpatch
    - new patch for installing safe_camlp4 under $(prefix)/usr/bin

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 11 Nov 2006 09:35:02 +0100

findlib (1.1.1-7) unstable; urgency=low

  * debian/rules
    - use the ocaml.mk cdbs class
  * debian/control
    - bumped ocaml-nox build dependency to >= 3.09.2-7 since we use ocaml.mk

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Oct 2006 18:07:40 +0200

findlib (1.1.1-6) unstable; urgency=low

  * debian/rules
    - removed no longer needed workaround for cdbs + dpatch
    - avoid to create debian/control from debian/control.in on ocamlinit
  * debian/control.in
    - file removed, no longer needed

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  5 Sep 2006 22:45:17 +0200

findlib (1.1.1-5) unstable; urgency=low

  * debian/patches/17_stddirs.dpatch:
    - switched to .in form so that on 'ocamlinit' the patch is
      instantiated to the current version of the OCaml ABI
      (fixes wrong paths in /etc/ocamlfind.conf)

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 16 Jun 2006 14:04:22 +0200

findlib (1.1.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 16 May 2006 19:46:14 +0000

findlib (1.1.1-3) experimental; urgency=low

  * Rebuilt against OCaml 3.09.2, bumped deps accordingly.
  * Bumped Standards-Version to 3.7.2 (no changes needed).

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 May 2006 22:00:50 +0000

findlib (1.1.1-2) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.

 -- Stefano Zacchiroli <zack@debian.org>  Sat,  7 Jan 2006 11:29:15 +0100

findlib (1.1.1-1) unstable; urgency=low

  * new upstream release
    - integrated a patch of mine which fixes sourcing of additional
      configuration files. In Debian this broke the native compilers
      settings inherited by the ocaml-native-compilers package
  * avoid stripping <stdlib>/findlib/make_wizard on non-native archs

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 27 Nov 2005 23:00:55 +0100

findlib (1.1-4) unstable; urgency=low

  * avoid stripping findlib executable on non-native archs, fixes FTBFS
    of dependent packages on non-native archs (thanks to Julien Cristau
    for the patch) (closes: #338932, #338935)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 14 Nov 2005 17:08:13 +0100

findlib (1.1-3) unstable; urgency=low

  * debian/*
    - use cdbs
  * removed ancient symlink <stdlib>/findlib/topfind -> ../topfind
  * debian/rules
    - removed old bugfix for missed install of num-top printers
  * debian/rules vs debian/patches/29_no_itest.dpatch
    - removed patch, avoid invoking ./itest in debian/rules is easier

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 12 Nov 2005 13:06:42 +0100

findlib (1.1-2) unstable; urgency=low

  * debian/patches/29_no_itest.dpatch
    - disable itest at build ends, not really needed in debian, hangs
      on hppa

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 10 Nov 2005 10:14:03 +0100

findlib (1.1-1) unstable; urgency=low

  * New usptream release
  * Rebuilt with ocaml 3.09
  * debian/patches/23_include.dpatch
    - ported to this new upstream release
  * debian/{rules,*.in}
    - no more hardcoding of ocaml ABI version anywhere
  * debian/rules
    - findlib now detect at compile time if native code compilation is
      available, if so it adds ocamlc/opt/... definition to
      /etc/ocamlfind.conf. Grep-ed them away from debian configuration file
      since native code compilers are not installed everywhere

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  8 Nov 2005 09:16:00 +0000

findlib (1.0.4-4) unstable; urgency=low

  * debian/patches/23_include.dpatch
    - added support for including configuration files stored in
      /usr/share/ocaml-findlib/
  * debian/bash_completion/ocamlfind
    debian/ocamlfind.install
    - added ocamlfind bash completion for bash, it gets installed under
      /etc/bash_completion.d/
  * debian/control
    - bumped Standards-Version

 -- Stefano Zacchiroli <zack@debian.org>  Thu,  1 Sep 2005 08:13:10 +0200

findlib (1.0.4-3) unstable; urgency=medium

  * rebuilt against ocaml 3.08.3, changed dependencies and destdir
    accordingly

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 22 Mar 2005 02:29:19 +0100

findlib (1.0.4-2) unstable; urgency=low

  * depends on ocaml-nox-3.08 instead of ocaml-3.08

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 27 Jul 2004 14:27:46 +0200

findlib (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Rebuilt with/for ocaml 3.08 (Closes: Bug#261427)
  * debian/control
    - bumped ocaml deps
    - removed no longer needed dep on libnums
    - bumped standards-version to 3.6.1.1
    - changed awk dep to "gawk | awk"
  * debian/patches/17_stddirs.dpatch, debian/ocaml-findlib.dirs
    - ported to ocaml 3.08

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 Jul 2004 14:08:36 +0200

findlib (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 30 Jan 2004 18:13:35 +0100

findlib (1.0.2-1) unstable; urgency=low

  * New upstream release
    - added support for subpackages
    - improved META files' language
    - new ocamldoc documentation
  * debian/patches
    - added site_lib_metas which fixes a bug in META.num and use a
      relative path in META.camlp4 instead of an absolute one
    - removed ancient "skip_comments" patch
    - removed ancient "num_top" patch
  * debian/control
    - ships also ocamlfind's toolbox
  * debian/rules
    - uses /usr/bin/ocamlopt to decide whether to strip ocamlfind or not
    - bugfix: ships also num-top's META
  * Shipped some new documentation from doc/ dir
  * Better cleanup when invoking "debian/rules clean"
  * Added build dependency on libnums-ocaml-dev | ocaml (>= 3.08)
    (Closes: Bug#224871
     Please note that this dependency should close the bug, but is not
     yet fullfillable by the autobuilders since ocaml-nums is still in
     the NEW queue waiting for manual processing by the ftp masters.
     Please be patient or download manually the ocaml-nums package from
     Sven Luther's (ocaml-nums maintainer) page at
     http://people.debian.org/~luther/ocaml)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 11 Jan 2004 15:27:26 +0100

findlib (0.9-2) unstable; urgency=low

  * Renamed META directory to /usr/lib/ocaml/3.07/METAS

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 21 Nov 2003 09:37:02 +0100

findlib (0.9-1) unstable; urgency=low

  * New upstream release
  * debian/patches/00list
    - removed num_top patch since it was accepted upstream (removed
      therefore also README.Debian, no longer needed)
  * Removed debconf template about libdir transition because it's
    annoying and not really useful
    (removed debian/{templates,postinst,preinst,config} and some
    dependencies)
  * debian/control
    - bumped standards version to 3.6.1.0
  * debian/patches/17_stddirs.dpatch
    - added <ocaml_libdir>/META to the findlib path
  * debian/rules
    - use dh_install
    - moved METAs from empty directories to META/ directory

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 11 Nov 2003 15:56:24 +0100

findlib (0.8-5) unstable; urgency=low

  * Rebuilt with ocaml 3.07

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  1 Oct 2003 13:29:22 +0200

findlib (0.8-4) unstable; urgency=low

  * Rebuilt with ocaml 3.07beta2

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 22 Sep 2003 16:43:30 +0200

findlib (0.8-3) unstable; urgency=low

  * Apply changes other than the "debian/" directory using dpatch
  * Added homemade patch that installs printers for types defined in the
    "num" library and load them then "num" library is loaded in the
    toplevel using findlib's #require directive
  * Added debian/README.Debian mentioning the above patch
  * debian/control
    - added Build-Dependency on dpatch
    - bumped Standards-Version to 3.5.10
    - added Dependency on ${misc:Depends} variable
    - s/modules/libraries/ in Description field
  * debian/rules
    - moved DH_COMPAT value to debian/compat
    - added dpatch support (included dpatch.make; added patch-stamp,
      patch, clean1, unpatch targets)
    - aesthetic changes
    - better test before dh_stripping

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  7 Jul 2003 22:29:39 +0200

findlib (0.8-2) unstable; urgency=low

  * Libdir transition to /usr/lib/ocaml/3.06
  * Added debconf note about upgrading /etc/ocamlfind.conf
  * Changed depends and build depends to ocaml-3.06-1
  * Bumped Standards-Version to 3.5.8
  * Removed useless binary-indep target

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 16 Dec 2002 11:34:29 +0100

findlib (0.8-1) unstable; urgency=low

  * New upstream release
  * Added NAME section to manpages (Closes: Bug#159578)
  * Better test for presence of ocamlopt compiler

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Sep 2002 10:30:51 +0200

findlib (0.7.2-2) unstable; urgency=low

  * Remove some *.cm[io] files never removed by upstream Makefiles
    directly from debian/rules "clean" target

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 29 Aug 2002 11:36:34 +0200

findlib (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Changed deps and build-deps to ocaml-3.06
  * Switched to debhelper 4
  * Rebuilt with ocaml 3.06
  * Fixed broken symlink /usr/lib/ocaml/findlib/topfind
    (Closes: Bug#155010)
  * Suppressed spurious warnings for comments in /usr/lib/ocaml/ld.conf
    (Closes: Bug#155704)
  * Changed "destdir" in ocamlfind.conf, now defaults to
    /usr/local/lib/ocaml/<ocaml-version>/
  * Changed "path" in ocamlfind.conf, now includes
    /usr/local/lib/ocaml/<ocaml-version>/ _and_ /usr/lib/ocaml, in this
    order

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 26 Aug 2002 13:45:45 +0200

findlib (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Swtiched from dh_installmanpages to dh_installman
  * Adopted upstream script name to load findlib in toploop
    (from now on s/#use ocamlfind;;/#use topfind/)
  * Switched to debhelper 4
  * Removed useless debian/conffiles (ocamlfind.conf resides in /etc)

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  7 Jul 2002 12:13:05 +0200

findlib (0.6.2-4) unstable; urgency=low

  * Respelled a warning message that may be misinterpreted.
    (Closes: Bug#139707, Bug#139708).

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Mar 2002 14:05:36 +0100

findlib (0.6.2-3) unstable; urgency=low

  * Registered findlib with doc-base.

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Mar 2002 13:22:28 +0100

findlib (0.6.2-2) unstable; urgency=low

  * Now build depends on ocaml >= 3.04-3, hopefully will compile also on
    ia64 and powerpc

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 11 Jan 2002 08:08:51 +0100

findlib (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Built with ocaml 3.04

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 16 Dec 2001 22:06:53 +0100

findlib (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Fixed bug in ocamlmktop option. (closes: Bug#111051)

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  4 Sep 2001 21:49:09 +0200

findlib (0.5.1-5) unstable; urgency=low

  * Rebuilt with ocaml 3.02
  * Fixed serious problem that cause ocamlfind not to work on
    architecture that does not have a native code compiler. Stripping of
    "ocamlfind" executable is now done only if "ocamlfind" is a native
    code executable. (closes: Bug#96254, Bug#104703, Bug#104710)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 21 Aug 2001 14:36:15 +0200

findlib (0.5.1-4) unstable; urgency=low

  * Marked /etc/ocamlfind.conf as a configuration file (closes: Bug#103679)

 -- Stefano Zacchiroli <zack@debian.org>  Fri,  6 Jul 2001 18:58:12 +0200

findlib (0.5.1-3) unstable; urgency=low

  * Added findlib manual in HTML format (closes: Bug#102900).

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 30 Jun 2001 23:58:44 +0200

findlib (0.5.1-2) unstable; urgency=low

  * DH_COMPAT = 2 for backward compatibility with potato
  * Optionally building of native code, for platform that does not have
    native code compiler (like m68k) (closes: Bug# 93376).

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 10 Apr 2001 12:56:15 +0200

findlib (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 29 Mar 2001 15:50:21 +0200

findlib (0.5-1) unstable; urgency=low

  * Initial Release.

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 28 Feb 2001 14:21:26 +0100
